Bug 145632

Summary: [patch] port security/snort fix LIB_DEPENDS
Product: Ports & Packages Reporter: Olli Hauer <ohauer>
Component: Individual Port(s)Assignee: Cheng-Lung Sung <clsung>
Status: Closed FIXED    
Severity: Affects Only Me CC: clsung
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch_snort_lib_depends.txt none

Description Olli Hauer 2010-04-11 20:40:01 UTC
move libdnet from BUILD_DEPENDS to LIB_DEPENDS.

ldd /usr/local/bin/snort
/usr/local/bin/snort:
        libssl.so.5 => /usr/lib/libssl.so.5 (0x2813a000)
        libcrypto.so.5 => /lib/libcrypto.so.5 (0x2817b000)
        libdnet.1 => /usr/local/lib/libdnet.1 (0x282d4000)
        libpcre.so.0 => /usr/local/lib/libpcre.so.0 (0x282e0000)
        libpcap.so.5 => /lib/libpcap.so.5 (0x28314000)
        libm.so.5 => /lib/libm.so.5 (0x2833b000)
        libpq.so.5 => /usr/local/lib/libpq.so.5 (0x28350000)
        libc.so.7 => /lib/libc.so.7 (0x28370000)
        libcrypt.so.4 => /lib/libcrypt.so.4 (0x28476000)

How-To-Repeat: - build snort with flexresp2 in tinderbox
- remove snort and libdnet from the target machine.
- install snort from the tinderbox host -> snort fails to start since libdnet is not installed
Comment 1 Edwin Groothuis freebsd_committer 2010-04-11 20:40:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Olli Hauer 2010-04-18 23:10:34 UTC
Hi,

the snortsam patch for snort has changed.
Now it includes again a sample config entry for snort.conf

see http://lists.snortsam.net/pipermail/snortsam-discussion/2010-March/000502.html

It will be nice to update the distinfo to reflect the change.



--- patch_snort_distinfo.txt begins here ---diff -u -r1.1 distinfo
--- distinfo    2010/04/18 21:52:46     1.1
+++ distinfo    2010/04/18 21:53:07
@@ -1,6 +1,6 @@
  MD5 (snort-2.8.5.3.tar.gz) = ef02aaad54746603f2cb3236fe962128
  SHA256 (snort-2.8.5.3.tar.gz) = 
a7d9eb16427514d00926e9892c4a92b6ff1fd0f79555d8f8dce91dfa14112e6a
  SIZE (snort-2.8.5.3.tar.gz) = 4730637
-MD5 (snortsam-2.8.5.diff.gz) = a1c18a342db8a9273bbe560497401e72
-SHA256 (snortsam-2.8.5.diff.gz) = 
4af05486cde3167fc19709fa65b4fd9b7c95052f7769cd96ff48d2af1ea1c342
-SIZE (snortsam-2.8.5.diff.gz) = 28474
+MD5 (snortsam-2.8.5.diff.gz) = 5adbf37ed30b7e7b06dcb763310654c7
+SHA256 (snortsam-2.8.5.diff.gz) = 
f23fd04749b4ec3028a35c8db8c2ce0d14beac9c95b52f232229e13930b341f0
+SIZE (snortsam-2.8.5.diff.gz) = 29150
--- patch_snort_distinfo.txt ends here ---

Regards,
olli
Comment 3 dfilter service freebsd_committer 2010-04-20 10:23:55 UTC
clsung      2010-04-20 09:23:42 UTC

  FreeBSD ports repository

  Modified files:
    security/snort       Makefile distinfo 
  Log:
  - fix LIB_DEPENDS about libnet
  - snortsam patch for snort has changed
    - ref: http://lists.snortsam.net/pipermail/snortsam-discussion/2010-March/000502.html
  - bump PORTREVISION
  
  PR:             ports/145632
  Submitted by:   olli hauer <ohauer_AT_gmx dot de>
  
  Revision  Changes    Path
  1.119     +3 -2      ports/security/snort/Makefile
  1.63      +3 -3      ports/security/snort/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Cheng-Lung Sung freebsd_committer 2010-04-20 10:23:57 UTC
State Changed
From-To: open->closed

Committed. Thank You.